com.google.appengine.api.xmpp

## Enum PresenceShow

- java.lang.Object
- - java.lang.Enum<PresenceShow>
  - - com.google.appengine.api.xmpp.PresenceShow

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PresenceShow>

      public enum PresenceShow
      extends java.lang.Enum<PresenceShow>

  Values for the 'show' sub-stanza of presences.
  See Also:
    RFC 3921, Section 2.2.2.1 for the specification of XMPP message Presence Show.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AWAY` The entity or resource is temporarily away.
    `CHAT` The entity or resource is actively interested in chatting.
    `DND` The entity or resource is busy (dnd = "Do Not Disturb").
    `NONE` The entity is assumed to be online and available.
    `XA` The entity or resource is away for an extended period (xa = "eXtended Away").

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PresenceShow` | `fromPresenceResponseEnum(PresenceResponse.SHOW value)`
    `static PresenceShow` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PresenceShow[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final PresenceShow NONE

      The entity is assumed to be online and available.

    - #### AWAY

          public static final PresenceShow AWAY

      The entity or resource is temporarily away.

    - #### CHAT

          public static final PresenceShow CHAT

      The entity or resource is actively interested in chatting.

    - #### DND

          public static final PresenceShow DND

      The entity or resource is busy (dnd = "Do Not Disturb").

    - #### XA

          public static final PresenceShow XA

      The entity or resource is away for an extended period (xa = "eXtended Away").

  - ### Method Detail

    - #### values

          public static PresenceShow[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PresenceShow c : PresenceShow.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PresenceShow valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromPresenceResponseEnum

          public static PresenceShow fromPresenceResponseEnum(PresenceResponse.SHOW value)